// Le bloc ifdef suivant est la faon standard de crer des macros qui facilitent l'exportation 
//  partir d'une DLL. Tous les fichiers contenus dans cette DLL sont compils avec le symbole MINIMALWX_EXPORTS
// dfini sur la ligne de commande. Ce symbole ne doit pas tre dfini dans les projets
// qui utilisent cette DLL. De cette manire, les autres projets dont les fichiers sources comprennent ce fichier considrent les fonctions 
// MINIMALWX_API comme tant importes  partir d'une DLL, tandis que cette DLL considre les symboles
// dfinis avec cette macro comme tant exports.
#ifdef MINIMALWX_EXPORTS
#define MINIMALWX_API __declspec(dllexport)
#else
#define MINIMALWX_API __declspec(dllimport)
#endif



#include "wx/wxprec.h"
extern "C" MINIMALWX_API void DLLToto(HWND);

// Define a new application type, each program should derive a class from wxApp
class MyApp : public wxApp
{
public:
    // override base class virtuals
    // ----------------------------

    // this one is called on application startup and is a good place for the app
    // initialization (doing it here and not in the ctor allows to have an error
    // return: if OnInit() returns false, the application terminates)
    virtual bool OnInit();
};
